% Returns histogram of oriented gradients (HOG) feauture vector of an
% image and visualization object that can be used with plot method.
% Useful for training a classifier.
%
% NB! *Requires Computer Vision Toolbox Add-on*
%
function [featureVector, hogVisualization] = histogramOrientedGradients(varargin)
    if nargin==1
        img=varargin{1};
        [featureVector, hogVisualization] = extractHOGFeatures(img);
    elseif nargin==2
        img=varargin{1};
        size=varargin{2};
        [featureVector, hogVisualization] = extractHOGFeatures(img, "Cellsize",[size size]);
    else
      error('histogramOrientedGradients only accepts up to 2 input arguments!')
    end
end